toolzerhub API Docs

Get availability

Get an Airbnb stay's availability calendar, check-in and check-out eligibility, and stay-length rules. Use stay search with dates for prices.

1 credit / requestBilled only on success
GET
/v1/airbnb/stay/availability

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

stay_id*string

Listing ID from the id field in a stay search result.

Match^\d{1,20}$
months?integer

Number of whole calendar months to return.

Range1 <= value <= 12
Default12
start_month?integer

Month to start from (1-12). Defaults to the current month. Must be given together with start_year.

Range1 <= value <= 12
start_year?integer

Year to start from. Defaults to the current year. Must be given together with start_month.

Range2000 <= value <= 2100
curl -X GET "https://example.com/v1/airbnb/stay/availability?stay_id=4518031" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "stay_id": "string",    "url": "string",    "days": [      {        "date": "string",        "available": true,        "bookable": true,        "available_for_checkin": true,        "available_for_checkout": true,        "min_nights": 0,        "max_nights": 0      }    ],    "day_count": 0,    "available_count": 0,    "start_date": "string",    "end_date": "string"  }}